Attribute VB_Name = "grb_usb"
Option Explicit
'/*********************************************************************
'   #define
'*********************************************************************/

Public Const BIT0 As Integer = 1
Public Const BIT1 As Integer = 2
Public Const BIT2 As Integer = 4
Public Const BIT3 As Integer = 8
Public Const BIT4 As Integer = 16
Public Const BIT5 As Integer = 32
Public Const BIT6 As Integer = 64
Public Const BIT7 As Integer = 128
Public Const BIT8 As Integer = 256
Public Const BIT9 As Integer = 512
Public Const BIT10 As Integer = 1024
Public Const BIT11 As Integer = 2048
Public Const BIT12 As Integer = 4096
Public Const BIT13 As Integer = 8192
Public Const BIT14 As Integer = 16384
Public Const BIT15 As Long = 32768

Public Const NUL = &H0 '
Public Const SOH = &H1 '
Public Const STX = &H2                                      'Text start
Public Const ETX = &H3                                      'Text end
Public Const EOT = &H4                                      'Text end
Public Const ENQ = &H5        'ENQ
Public Const ACK = &H6                                      'Receive normaly
Public Const LF = &HA                                      ' LF
Public Const CR = &HD                                      ' CR
Public Const DC2 = &H12        'DC2
Public Const DC4 = &H14        'DC4
Public Const NAK = &H15                                     'Receive failed
Public Const SLA = &H2F        '"/"
'-------------------------------------------------------
'-------------------------------------------------------

'###  Color  ###
Public Const COLOR_GLAY As Long = &H8000000F                            'Gray
Public Const COLOR_RED As Long = &HFF                                   'Red
Public Const COLOR_GREEN As Long = &HFF00                                'Green

Public Const Ver As Integer = 100               '001026 USB000

'alarm infomation(ABit)
'BIT0:Read failing   BIT1:Write failing
Public Const A_READ As Long = 1
Public Const A_WRITE As Long = 2

'/*********************************************************************
'*              extern
'*********************************************************************/
Public Dll_Ver As Long               'DLL version
Public RecvBuf As String             'Receive string
Public SendBuf As String             'Transmit string
                                    
Public SendFg As Integer         ' 1: send
Public RecvMonFg As Integer      ' 1: receive monitoring
Public RecvRqFg As Integer       ' 1: receive request
Public DrvOpenFg As Integer      ' 1: OPEN
Public SendCnt As Long           ' Transmit count
Public RecvCnt As Long           ' Receive count

Public ABit As Long         'Alarm infomation


'/********************************************************************
'*   Port open / close                                               *
'*********************************************************************/
Public Sub P_Open()
    Dim m
    If DrvOpenFg Then Exit Sub
    
    If USBDrv_Open Then
        DrvOpenFg = 1
    Else
        m = MsgBox("Open the driver failed", vbOKOnly + vbCritical, "Error")                   ' display message
    End If
End Sub
Public Sub P_Close()
    Dim m
    If DrvOpenFg = 0 Then Exit Sub
    
    If USBDrv_Close Then
        DrvOpenFg = 0
    Else
        m = MsgBox("Close the driver failed.", vbOKOnly + vbCritical, "Error")                   ' display message
    End If
End Sub
Public Sub Drv_Init()
    Dim m
    If DrvOpenFg Then Exit Sub
    
    If USBDrv_Init = False Then
        m = MsgBox("Initialize the driver failed.", vbOKOnly + vbCritical, "Error")             ' display message
    End If

End Sub
Public Sub Drv_Reset()
    Dim m
    
    m = MsgBox("Transmit error!" + Chr(13) + _
                "plaese click [OK]button", vbOKOnly + vbCritical, "Error")                   ' display message
    
    P_Close
    Drv_Init
    P_Open

End Sub

